[SCM] debian-live branch, master, updated. 1.136.3-1-46-ged4df92

Daniel Baumann daniel at debian.org
Fri Aug 22 09:43:02 UTC 2008


The following commit has been merged in the master branch:
commit ed4df925b794de1ecb31d321c18c45e7295a3dda
Author: Marco Amadori <marco.amadori at gmail.com>
Date:   Fri Aug 22 11:29:57 2008 +0200

    Added "-n" option to all mount commands, thanks to Peter Holik <peter at holik.at> for pointing this out.

diff --git a/scripts/live b/scripts/live
index caaf45b..0363daf 100755
--- a/scripts/live
+++ b/scripts/live
@@ -621,14 +621,14 @@ copy_live_to ()
 	# begin copying (or uncompressing)
 	mkdir "${copyto}"
 	echo "mount -t ${fstype} ${mount_options} ${dev} ${copyto}"
-	mount -t "${fstype}" ${mount_options} "${dev}" "${copyto}"
+	mount -n -t "${fstype}" ${mount_options} "${dev}" "${copyto}"
 
 	if [ "${extension}" = "tgz" ]
 	then
 		cd "${copyto}"
 		tar zxf "${copyfrom}/${LIVE_MEDIA_PATH}/$(basename ${FETCH})"
 		rm -f "${copyfrom}/${LIVE_MEDIA_PATH}/$(basename ${FETCH})"
-		mount -r -o move "${copyto}" "${rootmnt}"
+		mount -n -r -o move "${copyto}" "${rootmnt}"
 		cd "${OLDPWD}"
 	else
 		if [ -n "${MODULETORAMFILE}" ]
@@ -640,7 +640,7 @@ copy_live_to ()
 
 		livefs_root
 		umount ${copyfrom}
-		mount -r -o move ${copyto} ${copyfrom}
+		mount -n -r -o move ${copyto} ${copyfrom}
 	fi
 
 	rmdir ${copyto}
@@ -708,7 +708,7 @@ do_httpmount ()
 {
 	rc=1
 	dest="${mountpoint}/${LIVE_MEDIA_PATH}"
-	mount -t ramfs ram "${mountpoint}"
+	mount -n -t ramfs ram "${mountpoint}"
 	mkdir -p "${dest}"
 
 	for webfile in HTTPFS FTPFS FETCH
@@ -844,7 +844,7 @@ do_snap_copy ()
 		if [ -n "${fstype}" ]
 		then
 			# Copying stuff...
-			mount -t "${fstype}" -o ro,noatime "${fromdev}" "${tomount}"
+			mount -n -t "${fstype}" -o ro,noatime "${fromdev}" "${tomount}"
 			cp -a "${tomount}"/* ${todir}
 			umount "${tomount}"
 		else
@@ -1042,7 +1042,7 @@ setup_unionfs ()
 
 			mkdir -p "${croot}/${imagename}"
 			log_begin_msg "Mounting \"${image}\" on \"${croot}${imagename}\" via \"${backdev}\""
-			mount -t "${fstype}" -o ro,noatime "${backdev}" "${croot}/${imagename}" || panic "Can not mount ${backdev} (${image}) on ${croot}/${imagename}" && rofsstring="${croot}/${imagename}=${roopt}:${rofsstring}" && rofslist="${croot}/${imagename} ${rofslist}"
+			mount -n -t "${fstype}" -o ro,noatime "${backdev}" "${croot}/${imagename}" || panic "Can not mount ${backdev} (${image}) on ${croot}/${imagename}" && rofsstring="${croot}/${imagename}=${roopt}:${rofsstring}" && rofslist="${croot}/${imagename} ${rofslist}"
 			log_end_msg
 		fi
 	done
@@ -1131,7 +1131,7 @@ setup_unionfs ()
 		nfsmount ${nfs_cow_opts} ${cowdevice} /cow || \
 			panic "Can not mount ${cowdevice} (n: ${cow_fstype}) on /cow"
 	else
-		mount -t ${cow_fstype} -o ${cow_mountopt} ${cowdevice} /cow || \
+		mount -n -t ${cow_fstype} -o ${cow_mountopt} ${cowdevice} /cow || \
 			panic "Can not mount ${cowdevice} (o: ${cow_fstype}) on /cow"
 	fi
 
@@ -1145,7 +1145,7 @@ setup_unionfs ()
 		fi
 		exposedrootfs=${rofslist%% }
 
-		mount --bind ${exposedrootfs} ${rootmnt} || \
+		mount -n --bind ${exposedrootfs} ${rootmnt} || \
 			panic "bind mount of ${exposedrootfs} failed"
 
 		cow_dirs='/var/tmp /var/lock /var/run /var/log /var/spool
@@ -1153,14 +1153,14 @@ setup_unionfs ()
 
 		for dir in ${cow_dirs}; do
 			mkdir -p /cow${dir}
-			mount -t ${UNIONTYPE} \
+			mount -n -t ${UNIONTYPE} \
 				-o rw,noatime,dirs=/cow${dir}=rw:${exposedrootfs}${dir}=ro \
 				${UNIONTYPE} "${rootmnt}${dir}" || \
 				panic "mount ${UNIONTYPE} on ${rootmnt}${dir} failed with option \
 					rw,noatime,dirs=/cow${dir}=rw:${exposedrootfs}${dir}=ro"
 		done
 	else
-		mount -t ${UNIONTYPE} -o noatime,dirs=/cow=rw:${rofsstring} \
+		mount -n -t ${UNIONTYPE} -o noatime,dirs=/cow=rw:${rofsstring} \
 			${UNIONTYPE} "${rootmnt}" || panic "mount ${UNIONTYPE} on \
 			${rootmnt} failed with option noatime,dirs=/cow=rw:${rofsstring}"
 	fi
@@ -1168,7 +1168,7 @@ setup_unionfs ()
 	# tmpfs file systems
 	touch /etc/fstab
 	mkdir -p "${rootmnt}/live"
-	mount -t tmpfs tmpfs ${rootmnt}/live
+	mount -n -t tmpfs tmpfs ${rootmnt}/live
 
 	# Adding other custom mounts
 	if [ -n "${PERSISTENT}" ] && [ -z "${NOPERSISTENT}" ]
@@ -1179,7 +1179,7 @@ setup_unionfs ()
 
 		if [ -b "${homecow}" ]
 		then
-			mount -t $(get_fstype "${homecow}") -o rw,noatime "${homecow}" "${rootmnt}/home"
+			mount -n -t $(get_fstype "${homecow}") -o rw,noatime "${homecow}" "${rootmnt}/home"
 			export HOMEMOUNTED=1 # used to proper calculate free space in do_snap_copy()
 		else
 			log_warning_msg "Unable to find the persistent home medium"
@@ -1202,7 +1202,7 @@ setup_unionfs ()
 					;;
 
 				*)
-					mount -o move "${d}" "${rootmnt}/live/${d##*/}"
+					mount -n -o move "${d}" "${rootmnt}/live/${d##*/}"
 					;;
 			esac
 		done
@@ -1210,7 +1210,7 @@ setup_unionfs ()
 
 	# shows cow fs on /cow for use by live-snapshot
 	mkdir -p "${rootmnt}/live/cow"
-	mount -o move /cow "${rootmnt}/live/cow" >/dev/null 2>&1 || mount -o bind /cow "${rootmnt}/live/cow" || log_warning_msg "Unable to move or bind /cow to ${rootmnt}/live/cow"
+	mount -n -o move /cow "${rootmnt}/live/cow" >/dev/null 2>&1 || mount -n -o bind /cow "${rootmnt}/live/cow" || log_warning_msg "Unable to move or bind /cow to ${rootmnt}/live/cow"
 }
 
 check_dev ()
@@ -1226,7 +1226,7 @@ check_dev ()
 
 	if [ -d "${devname}" ]
 	then
-		mount -o bind "${devname}" $mountpoint || continue
+		mount -n -o bind "${devname}" $mountpoint || continue
 
 		if is_live_path $mountpoint
 		then
@@ -1247,7 +1247,7 @@ check_dev ()
 
 	if is_supported_fs ${fstype}
 	then
-		mount -t ${fstype} -o ro,noatime "${devname}" ${mountpoint} || continue
+		mount -n -t ${fstype} -o ro,noatime "${devname}" ${mountpoint} || continue
 
 		if is_live_path ${mountpoint} && \
 			([ "${skip_uuid_check}" ] || matches_uuid ${mountpoint})
diff --git a/scripts/live-helpers b/scripts/live-helpers
index bb5653c..70c7f34 100644
--- a/scripts/live-helpers
+++ b/scripts/live-helpers
@@ -146,7 +146,7 @@ fs_size ()
 			mountp="/mnt/tmp_fs_size"
 
 			mkdir -p "${mountp}"
-			mount -t $(get_fstype "${dev}") -o ro "${dev}" "${mountp}"
+			mount -n -t $(get_fstype "${dev}") -o ro "${dev}" "${mountp}"
 
 			doumount=1
 		fi
@@ -274,10 +274,10 @@ try_mount ()
 
 	if [ -n "${old_mountp}" ]
 	then
-		mount -o remount,"${opts}" "${dev}" "${old_mountp}" || panic "Remounting ${dev} ${opts} on ${old_mountp} failed"
-		mount -o bind "${old_mountp}" "${mountp}" || panic "Cannot bind-mount ${old_mountp} on ${mountp}"
+		mount -n -o remount,"${opts}" "${dev}" "${old_mountp}" || panic "Remounting ${dev} ${opts} on ${old_mountp} failed"
+		mount -n -o bind "${old_mountp}" "${mountp}" || panic "Cannot bind-mount ${old_mountp} on ${mountp}"
 	else
-		mount -t $(get_fstype "${dev}") -o "${opts}" "${dev}" "${mountp}" || panic "Cannot mount ${dev} on ${mountp}"
+		mount -n -t $(get_fstype "${dev}") -o "${opts}" "${dev}" "${mountp}" || panic "Cannot mount ${dev} on ${mountp}"
 	fi
 }
 

-- 
debian-live



More information about the debian-live-changes mailing list